Skip to main content
PUT
Update sub-account details by sub-account ID.
Updates a sub-account’s name or frozen status.

Authorizations

x-api-key
string
header
required

Requires authentication via API key and HMAC signature.

  • x-api-key: Your API key generated from your Onboard Business dashboard.
  • x-timestamp: Unix epoch timestamp (seconds) used in signature, allowed skew is 30 seconds
  • x-signature: SHA256 HMAC HEX signature calculated over t={x-timestamp}&{requestBody} using your API Secret.

Path Parameters

subAccountIdRef
string
required

The unique onboard sub-account ID or reference

Body

application/json

Sub-account update request

frozen
boolean
default:false
required

Indicates if the sub-account is frozen (locked) or not.

displayName
string

An optional name for the sub-account.

Response

Sub-account updated Successfully

id
string<uuid>
required

Unique sub-account ID

accountId
string<uuid>
required

The main account ID to which this sub-account belongs.

reference
string
required

A unique reference for the sub-account.

currency
string
required

Currency of the sub-account

Example:

"USD"

accountBalance
object
required

Account balance details

frozen
boolean
default:false
required

Indicates if the sub-account is frozen (locked) or not.

createdDate
string<date-time>
required

The date the sub-account was created.

displayName
string

An optional name for the sub-account.